package com.zhongshu.card.server.core.dao.devices;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.card.server.core.dao.devices.extend.DeviceInfoDaoExtend;
import com.zhongshu.card.server.core.domain.devices.DeviceInfo;

import java.util.List;

/**
 * 设备Dao
 *
 * @author TRX
 * @date 2024/3/21
 */
public interface DeviceInfoDao extends MongoDao<DeviceInfo>, DeviceInfoDaoExtend {

    DeviceInfo findTopByDeviceId(String deviceId);

    List<DeviceInfo> findTop10ByDeviceIdLike(String deviceId);

    DeviceInfo findTopById(String id);

    DeviceInfo findTopByDeviceIdAndOid(String code, String oid);

    List<DeviceInfo> findByDeviceIdIn(List<String> deviceIds);

}
